Objects
PushDocument
Fields
external_idstringrequiredYour stable document ID. Sending the same ID replaces the document.
length ≤ 512
titlestringrequiredlength ≤ 500
urlstringLink to the document in your system (http or https).
contentstringContent (up to 5 MB).
content_typestringAllowed values:
htmlmarkdowntextDefault: "html"
patharray of string | stringFolders of the document: an array of names or a string separated by “/” (up to 10 levels).
permissionsPushPermissionstagsarray of stringitems ≤ 50
author_emailstringAuthor. Becomes the owner of the card if this is a Sursa user.
updated_atstring (date-time)Modification time in your system (part of the document version).
metadataMetadataPatchmetadataof the document's card (since 1.62.0): the object replaces the card's previous one,{}removes all pairs; without themetadatafield, the card's metadata does not change.categorystringCategory of the card: the key of an organization category (
GET /v1/categories), since 1.62.0.length ≤ 64
verifiersPushVerifiersverify_interval_daysintegerVerification interval of the card in days (since 1.62.0); without it, the source's interval.
≥ 1, ≤ 3650
upload_idstringFile of the document from a multipart upload (
upl_…, since 1.62.0) instead ofcontent. An upload is used once; sending the same document with the sameupload_idagain does not use it up. While multipart uploads are not available on the installation, the document is rejected with reasonfile_rejected.length ≤ 64
attachmentsarray of stringAttachments of the document as multipart uploads (
upl_…, since 1.62.0): each becomes its own card of the source with the same folder, permissions and card fields. An attachment missing from a new version of the document is archived.items ≤ 20